@import url("https://fonts.googleapis.com/css2?family=Outfit:wght@400;700&display=swap");

* {
	box-sizing: border-box;
	margin: 0px;
}

/* --- DESIGN SYSTEM --- */
/* --- backgrounds --- */
.white__bg {
	background-color: hsl(0, 0%, 100%);
}

.light-gray__bg {
	background-color: hsl(212, 45%, 89%);
}

/* --- color --- */
.grayish-blue__color {
	color: hsl(220, 15%, 55%);
}
.dark-blue__color {
	color: hsl(218, 44%, 22%);
}

#main-layout {
	width: 100vw;
	height: 100vh;
	display: flex;
}

.component-wrapper {
	/* center the component */
	margin: auto;
}

/* --- QR SCAN COMPONENT --- */
.qr-scan-component {
	/* center the component */
	margin: auto;

	width: 300px;
	padding: 16px;
	border-radius: 20px;

	display: flex;
	flex-direction: column;
}

.qr-code-container {
	border-radius: 20px;

	overflow: hidden;
}

.qr-code-img {
	width: 100%;
	height: 100%;

	object-fit: cover;
	object-position: center;
}

.details-container {
}

.details-title {
	font-family: "Outfit", sans-serif;
	text-align: center;
	font-size: 20px;

	margin: 12px;
}

.details-description {
	font-family: "Outfit", sans-serif;
	font-size: 15px;
	text-align: center;

	margin: 10px;
}
